Subject: bug#56407: 29.0.50; desktop.el shouldn't be saving/restoring eglot--managed-mode, which is not for interactive use

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Jul 2022 15:52:06 +0200

João Távora <[email-masked]> writes:

>> See the last paragraph in (info "(elisp) Hooks for Loading")
>
> Don't hold me in suspense! :-) what does it say vis-a-vis use in libraries?

   Normally, well-designed Lisp programs should not use
‘with-eval-after-load’.  If you need to examine and set the variables
defined in another library (those meant for outside use), you can do it
immediately—there is no need to wait until the library is loaded.  If
you need to call functions defined by that library, you should load the
library, preferably with ‘require’ (*note Named Features::).